#
# spec file for package transset (Version 20040120)
#
# Copyright (c) 2009 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           transset
BuildRequires:  pkgconfig xorg-x11-devel
Url:            http://www.kde.me.uk/index.php?page=x-6.8-xcomposite-howto
License:        MIT
Group:          System/X11/Utilities
AutoReqProv:    on
Version:        20040120
Release:        208.3
Summary:        simple program to make windows transparent
Source:         transset-%{version}.tar.bz2
Patch:          transset-%{version}.diff
Patch2:         transset-df-5.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
transset manipulates the _NET_WM_WINDOW_OPACITY property to make
windows transparent.



Authors:
--------
    Keith Packard  <keithp@keithp.com>

%prep
%setup -n transset
%patch
%patch2

%build
make CFLAGS="$RPM_OPT_FLAGS"

%install
mkdir -p $RPM_BUILD_ROOT/usr/bin
install -m 755 transset $RPM_BUILD_ROOT/usr/bin
cat >> README.SuSE <<EOF
Details: 
    http://gentoo-wiki.com/TIP_Xorg_X11_and_Tranparency
    http://www.kde.me.uk/index.php?page=x-6.8-xcomposite-howto
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README.SuSE README ChangeLog
/usr/bin/transset

%changelog
* Fri Jan 26 2007 sndirsch@suse.de
- move from /usr/X11R6 to /usr
* Mon Feb 20 2006 bk@suse.de
- fix printout of current opacity with --verbose (bug #152210)
* Thu Feb  2 2006 bk@suse.de
- added patch for better tuning of transparency
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Jul  4 2005 sndirsch@suse.de
- use RPM_OPT_FLAGS
* Fri May 13 2005 sndirsch@suse.de
- use norootforbuild
* Sat Oct 23 2004 sndirsch@suse.de
- created package
